Loading...
Searching...
No Matches
raptor::partition_config Struct Reference

## Public Member Functions

constexpr size_t | hash_partition (uint64_t const hash) const
partition_config & | operator= (partition_config &&)=default
partition_config & | operator= (partition_config const &)=default
| partition_config (partition_config &&)=default
| partition_config (partition_config const &)=default
| partition_config (size_t const parts)

## Static Public Member Functions

static constexpr size_t | next_power_of_four (size_t number)

## Public Attributes

size_t | mask {}
size_t | partitions {}
int | shift_value {}

The documentation for this struct was generated from the following file:

- partition_config.hpp